//
//  ExampleCardTableViewController.swift
//  CardComponents
//
//  Created by Donald Ness on 2/21/19.
//  Copyright © 2019 Programmarchy, LLC. All rights reserved.
//

import UIKit

class ExampleCardTableViewController: CardTableViewController {

    var itemsInSections: Array<Array<String>> = [["Cell 1", "Cell 2", "Cell 3"], ["Cell 1", "Cell 2"], ["Cell 1", "Cell 2", "Cell 3", "Cell 5", "Cell 6"]]
    var arrExpandedSection: [Int] = []
    
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    override func numberOfSections(in tableView: UITableView) -> Int {
        return 3
    }
    
    override func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return arrExpandedSection.contains(section) ? self.itemsInSections[section].count : 1
    }
    
    override func tableView(_ tableView: UITableView, heightForHeaderInSection section: Int) -> CGFloat {
        return 8
    }
    
    override func tableView(_ tableView: UITableView, heightForFooterInSection section: Int) -> CGFloat {
        return 8
    }
    
    override func tableView(_ tableView: UITableView, titleForHeaderInSection section: Int) -> String? {
        return nil
    }
    
    override func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        let cell = tableView.dequeueReusableCell(withIdentifier: "PartialCardCell", for: indexPath)
        cell.textLabel?.text = "Row \(indexPath.row + 1)"
        return cell
    }
    
    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        if let index = self.arrExpandedSection.firstIndex(of: indexPath.section) {
            self.arrExpandedSection.remove(at: index)
        } else {
            self.arrExpandedSection.append(indexPath.section)
        }
        tableView.reloadSections(IndexSet.init(integer: indexPath.section), with: .automatic)
    }

}

